# Command: SoundPan

SoundPan sound_variable,pan# Definition:

Pans the sound effect right, center, or left.

Parameter Description:

sound_variable = any valid sound variable previously created with the LoadSound command. pan# = floating point number from -1 (left) to 0 (center) to 1 (right)

Command Description:

Use this command to pan your sound effect between the left and right speakers (or restore the panning to the center). Use this for cool panning stereo sounds during your game.

Example:

; Load sound sample sndDeath=LoadSound("audio\death.wav") ; Pan sound effect half to the left SoundPan sndDeath,-.5 ; Play sound PlaySound sndDeath

Index